> ## Documentation Index
> Fetch the complete documentation index at: https://developer.breakcold.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove many leads from a list

> Remove your leads from a list based on filters



## OpenAPI

````yaml /v3/api-reference/openapi.json post /lists/{id}/remove-leads
openapi: 3.0.3
info:
  title: Breakcold OpenAPI
  version: 3.1.0
servers:
  - url: https://api.breakcold.com/rest
security: []
externalDocs:
  url: https://developer.breakcold.com
paths:
  /lists/{id}/remove-leads:
    post:
      tags:
        - Lists
        - Leads
      summary: Remove many leads from a list
      description: Remove your leads from a list based on filters
      operationId: list-removeLeads
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    leads:
                      type: array
                      items:
                        type: string
                    not_leads:
                      type: array
                      items:
                        type: string
                    is_company:
                      type: boolean
                    is_contract:
                      type: boolean
                    is_tracked:
                      type: boolean
                    ai_enabled:
                      type: boolean
                    email_status:
                      type: string
                      enum:
                        - all
                        - bounce
                        - not-sure-bounce
                        - valid
                        - no-email
                        - has-email
                    search:
                      type: string
                    has_icebreaker:
                      type: boolean
                    tags:
                      type: array
                      items:
                        type: string
                    status:
                      type: array
                      items:
                        type: string
                    has_list:
                      type: boolean
                    has_no_list:
                      type: boolean
                    lists:
                      type: array
                      items:
                        type: string
                    has_owner:
                      type: boolean
                    has_no_owner:
                      type: boolean
                    owners:
                      type: array
                      items:
                        type: string
                    score:
                      type: array
                      items:
                        type: string
                    attributes:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          value:
                            anyOf:
                              - type: string
                              - type: number
                              - type: boolean
                              - type: string
                              - type: array
                                items:
                                  type: string
                              - type: object
                                properties:
                                  lat:
                                    type: number
                                  lng:
                                    type: number
                                required:
                                  - lat
                                  - lng
                          operator:
                            type: string
                            enum:
                              - equals
                              - not_equals
                              - contains
                              - not_contains
                              - greater_than
                              - less_than
                              - greater_than_or_equal
                              - less_than_or_equal
                              - between
                              - in
                              - not_in
                              - is_empty
                              - is_not_empty
                        required:
                          - id
                          - value
                          - operator
              required:
                - filter
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY

````